publify publify

publify

43 5 0

A self hosted Web publishing platform on Rails.

Reports Beta

Name Score Result Status Created at Duration Details
brakeman F 9 high warnings succeeded 11 Apr 13:29 less than a minute

Dependencies

Package Locked Requirement Latest Status Changelog
Gems RedCloth ~> 4.2.8 4.2.9

RedCloth

Textile parser for Ruby.

This dependency is up-to-date. Congrats and keep going!

Gems actionpack-page_caching ~> 1.0.2 1.0.2

actionpack-page_caching

Static page caching for Action Pack (removed from core in Rails 4.0)

This dependency is up-to-date. Congrats and keep going!

Gems addressable ~> 2.1 2.3.8

addressable

Addressable is a replacement for the URI implementation that is part of Ruby's standard library. It more closely conforms to the relevant RFCs and adds support for IRIs and URI templates.

This dependency is up-to-date. Congrats and keep going!

Gems akismet ~> 1.0 2.0.0

akismet

A Ruby client for the Akismet API

This dependency is not matching latest version. Please consider upgrading.

Gems bluecloth ~> 2.1 2.2.0

bluecloth

BlueCloth is a Ruby implementation of John Gruber's Markdown[http://daringfireball.net/projects/markdown/], a text-to-HTML conversion tool for web writers. To quote from the project page: Markdown allows you to write using an easy-to-read, easy-to-write plain text format, then convert it to structurally valid XHTML (or HTML). It borrows a naming convention and several helpings of interface from {Redcloth}[http://redcloth.org/], Why the Lucky Stiff's processor for a similar text-to-HTML conversion syntax called Textile[http://www.textism.com/tools/textile/]. BlueCloth 2 is a complete rewrite using David Parsons' Discount[http://www.pell.portland.or.us/~orc/Code/discount/] library, a C implementation of Markdown. I rewrote it using the extension for speed and accuracy; the original BlueCloth was a straight port from the Perl version that I wrote in a few days for my own use just to avoid having to shell out to Markdown.pl, and it was quite buggy and slow. I apologize to all the good people that sent me patches for it that were never released. Note that the new gem is called 'bluecloth' and the old one 'BlueCloth'. If you have both installed, you can ensure you're loading the new one with the 'gem' directive: # Load the 2.0 version gem 'bluecloth', '>= 2.0.0' # Load the 1.0 version gem 'BlueCloth' require 'bluecloth'

This dependency is up-to-date. Congrats and keep going!

Gems carrierwave ~> 0.10.0 0.10.0

carrierwave

Upload files in your Ruby applications, map them to a range of ORMs, store them on different backends.

This dependency is up-to-date. Congrats and keep going!

Gems coderay ~> 1.1.0 1.1.0

coderay

Fast and easy syntax highlighting for selected languages, written in Ruby. Comes with RedCloth integration and LOC counter.

This dependency is up-to-date. Congrats and keep going!

Gems dynamic_form ~> 1.1.4 1.1.4

dynamic_form

DynamicForm holds a few helper methods to help you deal with your Rails3 models. It includes the stripped out methods from Rails 2; error_message_on and error_messages_for. It also brings in the functionality of the custom-err-messages plugin, which provides more flexibility over your model error messages.

This dependency is up-to-date. Congrats and keep going!

Gems flickraw-cached >= 0 20120701

flickraw-cached

Cached version of Flickraw

This dependency is up-to-date. Congrats and keep going!

Gems fog >= 0 1.30.0

fog

The Ruby cloud services library. Supports all major cloud providers including AWS, Rackspace, Linode, Blue Box, StormOnDemand, and many others. Full support for most AWS services including EC2, S3, CloudWatch, SimpleDB, ELB, and RDS.

This dependency is up-to-date. Congrats and keep going!

Gems htmlentities >= 0 4.3.3

htmlentities

A module for encoding and decoding (X)HTML entities.

This dependency is up-to-date. Congrats and keep going!

Gems jquery-rails ~> 4.0.3 4.0.3

jquery-rails

This gem provides jQuery and the jQuery-ujs driver for your Rails 4+ application.

This dependency is up-to-date. Congrats and keep going!

Gems jquery-ui-rails ~> 5.0.2 5.0.5

jquery-ui-rails

jQuery UI's JavaScript, CSS, and image files packaged for the Rails 3.1+ asset pipeline

This dependency is up-to-date. Congrats and keep going!

Gems kaminari >= 0 0.16.3

kaminari

Kaminari is a Scope & Engine based, clean, powerful, agnostic, customizable and sophisticated paginator for Rails 3+

This dependency is up-to-date. Congrats and keep going!

Gems mini_magick ~> 4.0.2 4.2.4

mini_magick

Manipulate images with minimal use of memory via ImageMagick / GraphicsMagick

This dependency is not matching latest version. Please consider upgrading.

Gems mysql2 >= 0 0.3.18

mysql2

A simple, fast Mysql library for Ruby, binding to libmysql

This dependency is up-to-date. Congrats and keep going!

Gems non-stupid-digest-assets >= 0 1.0.4

non-stupid-digest-assets

Rails 4, much to everyone's annoyance, provides no option to generate both digest and non-digest assets. Installing this gem automatically creates both digest and non-digest assets which are useful for many reasons. See this issue for more details: https://github.com/rails/sprockets-rails/issues/49

This dependency is up-to-date. Congrats and keep going!

Gems pg >= 0 0.18.2

pg

Pg is the Ruby interface to the {PostgreSQL RDBMS}[http://www.postgresql.org/]. It works with {PostgreSQL 8.4 and later}[http://www.postgresql.org/support/versioning/]. A small example usage: #!/usr/bin/env ruby require 'pg' # Output a table of current connections to the DB conn = PG.connect( dbname: 'sales' ) conn.exec( "SELECT * FROM pg_stat_activity" ) do |result| puts " PID | User | Query" result.each do |row| puts " %7d | %-16s | %s " % row.values_at('procpid', 'usename', 'current_query') end end

This dependency is up-to-date. Congrats and keep going!

Gems rails ~> 4.2.0 4.2.1

rails

Ruby on Rails is a full-stack web framework optimized for programmer happiness and sustainable productivity. It encourages beautiful code by favoring convention over configuration.

This dependency is up-to-date. Congrats and keep going!

Gems rails-observers ~> 0.1.2 0.1.2

rails-observers

Rails observer (removed from core in Rails 4.0)

This dependency is up-to-date. Congrats and keep going!

Gems rails-timeago ~> 2.0 2.12.0

rails-timeago

jQuery Timeago helper for Rails 3

This dependency is up-to-date. Congrats and keep going!

Gems rails_12factor >= 0 0.0.3

rails_12factor

Run Rails the 12factor way

This dependency is up-to-date. Congrats and keep going!

Gems rails_autolink ~> 1.1.0 1.1.6

rails_autolink

This is an extraction of the `auto_link` method from rails. The `auto_link` method was removed from Rails in version Rails 3.1. This gem is meant to bridge the gap for people migrating.

This dependency is up-to-date. Congrats and keep going!

Gems rake ~> 10.4.2 10.4.2

rake

Rake is a Make-like program implemented in Ruby. Tasks and dependencies are specified in standard Ruby syntax. Rake has the following features: * Rakefiles (rake's version of Makefiles) are completely defined in standard Ruby syntax. No XML files to edit. No quirky Makefile syntax to worry about (is that a tab or a space?) * Users can specify tasks with prerequisites. * Rake supports rule patterns to synthesize implicit tasks. * Flexible FileLists that act like arrays but know about manipulating file names and paths. * A library of prepackaged tasks to make building rakefiles easier. For example, tasks for building tarballs and publishing to FTP or SSH sites. (Formerly tasks for building RDoc and Gems were included in rake but they're now available in RDoc and RubyGems respectively.) * Supports parallel execution of tasks.

This dependency is up-to-date. Congrats and keep going!

Gems recaptcha >= 0 0.4.0

recaptcha

This plugin adds helpers for the reCAPTCHA API

This dependency is up-to-date. Congrats and keep going!

Gems rubypants ~> 0.2.0 0.2.0

rubypants

RubyPants is a Ruby port of the smart-quotes library SmartyPants. The original "SmartyPants" is a free web publishing plug-in for Movable Type, Blosxom, and BBEdit that easily translates plain ASCII punctuation characters into "smart" typographic punctuation HTML entities.

This dependency is up-to-date. Congrats and keep going!

Gems sass-rails ~> 5.0 5.0.3

sass-rails

Sass adapter for the Rails asset pipeline.

This dependency is up-to-date. Congrats and keep going!

Gems sqlite3 >= 0 1.3.10

sqlite3

This module allows Ruby programs to interface with the SQLite3 database engine (http://www.sqlite.org). You must have the SQLite engine installed in order to build this module. Note that this module is only compatible with SQLite 3.6.16 or newer.

This dependency is up-to-date. Congrats and keep going!

Gems therubyracer >= 0 0.12.2

therubyracer

Call JavaScript code and manipulate JavaScript objects from Ruby. Call Ruby code and manipulate Ruby objects from JavaScript.

This dependency is up-to-date. Congrats and keep going!

Gems thin >= 0 1.6.3

thin

A thin and fast web server

This dependency is up-to-date. Congrats and keep going!

Gems twitter ~> 5.13.0 5.14.0

twitter

A Ruby interface to the Twitter API.

This dependency is not matching latest version. Please consider upgrading.

Gems uglifier >= 1.3.0 2.7.1

uglifier

Uglifier minifies JavaScript files by wrapping UglifyJS to be accessible in Ruby

This dependency is up-to-date. Congrats and keep going!

Gems uuidtools ~> 2.1.1 2.1.5

uuidtools

A simple universally unique ID generation library.

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
Gems better_errors ~> 2.0.0 2.1.1

better_errors

Provides a better error page for Rails and other Rack apps. Includes source code inspection, a live REPL and local/instance variable inspection for all stack frames.

This dependency is not matching latest version. Please consider upgrading.

Gems binding_of_caller >= 0 0.7.2

binding_of_caller

Retrieve the binding of a method's caller. Can also retrieve bindings even further up the stack.

This dependency is up-to-date. Congrats and keep going!

Gems byebug >= 0 5.0.0

byebug

Byebug is a Ruby 2 debugger. It's implemented using the Ruby 2 TracePoint C API for execution control and the Debug Inspector C API for call stack navigation. The core component provides support that front-ends can build on. It provides breakpoint handling and bindings for stack frames among other things and it comes with an easy to use command line interface.

This dependency is up-to-date. Congrats and keep going!

Gems capybara >= 0 2.4.4

capybara

Capybara is an integration testing tool for rack based web applications. It simulates how a user would interact with a website

This dependency is up-to-date. Congrats and keep going!

Gems codeclimate-test-reporter >= 0 0.4.7

codeclimate-test-reporter

Collects test coverage data from your Ruby test suite and sends it to Code Climate's hosted, automated code review service. Based on SimpleCov.

This dependency is up-to-date. Congrats and keep going!

Gems factory_girl ~> 4.5.0 4.5.0

factory_girl

factory_girl provides a framework and DSL for defining and using factories - less error-prone, more explicit, and all-around easier to work with than fixtures.

This dependency is up-to-date. Congrats and keep going!

Gems feedjira >= 0 1.6.0

feedjira

A library designed to retrieve and parse feeds as quickly as possible

This dependency is up-to-date. Congrats and keep going!

Gems guard-rspec >= 0 4.5.0

guard-rspec

Guard::RSpec automatically run your specs (much like autotest).

This dependency is up-to-date. Congrats and keep going!

Gems pry-rails >= 0 0.3.4

pry-rails

Use Pry as your rails console

This dependency is up-to-date. Congrats and keep going!

Gems quiet_assets >= 0 1.1.0

quiet_assets

Quiet Assets turns off Rails asset pipeline log.

This dependency is up-to-date. Congrats and keep going!

Gems rspec-rails ~> 3.1.0 3.2.1

rspec-rails

RSpec for Rails

This dependency is not matching latest version. Please consider upgrading.

Gems rubocop >= 0 0.31.0

rubocop

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

This dependency is up-to-date. Congrats and keep going!

Gems simplecov >= 0 0.10.0

simplecov

Code coverage for Ruby 1.9+ with a powerful configuration library and automatic merging of coverage across test suites

This dependency is up-to-date. Congrats and keep going!

Gems spring >= 0 1.3.6

spring

Rails application preloader

This dependency is up-to-date. Congrats and keep going!

Gems web-console ~> 2.0 2.1.2

web-console

A debugging tool for your Ruby on Rails applications.

This dependency is up-to-date. Congrats and keep going!